Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 286525 - dev-db/libiodbc-3.52.6 fails to emerge, because of conflicting types for 'wcsncasecmp'
Summary: dev-db/libiodbc-3.52.6 fails to emerge, because of conflicting types for 'wcs...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: PHP Bugs
URL: http://iodbc.cvs.sourceforge.net/view...
Whiteboard:
Keywords: STABLEREQ
Depends on: glibc-2.10-stable
Blocks:
  Show dependency tree
 
Reported: 2009-09-26 14:43 UTC by Juergen Rose
Modified: 2010-03-11 17:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/dev-db/libiodbc-3.52.6/work/libiodbc-3.52.6/config.log (config.log,75.95 KB, text/plain)
2009-09-26 17:34 UTC, Juergen Rose
Details
/var/tmp/portage/dev-db/libiodbc-3.52.6/temp/build.log (build.log,163.81 KB, text/plain)
2009-09-26 17:35 UTC, Juergen Rose
Details
libiodbc-3.52.7.ebuild (libiodbc-3.52.7.ebuild,968 bytes, text/plain)
2009-10-03 07:02 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2009-09-26 14:43:40 UTC
'emerge libiodbc' fails with:
...
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../include -I../../include -I../../iodbc -I../../iodbcadm -I../../iodbcinst -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DWITH_PTHREADS -D_REENTRANT -march=nocona -O2 -pipe -DODBCVER=0x0350 -DIODBC_BUILD=6071008 -D__GTK__ -DDATEBUILD=\"26/09/2009_16:36:22\" -march=nocona -O2 -pipe -DODBCVER=0x0350 -DIODBC_BUILD=6071008 -MT confirm.lo -MD -MP -MF .deps/confirm.Tpo -c confirm.c  -fPIC -DPIC -o .libs/confirm.o
In file included from confirm.c:77:
../../iodbcinst/unicode.h:154: error: conflicting types for 'wcsncasecmp'
/usr/include/wchar.h:172: note: previous declaration of 'wcsncasecmp' was here
In file included from ../../include/iodbc.h:83,
                 from gui.h:75,
                 from confirm.c:78:
../../include/config.h:5:1: warning: "DEFAULT_FILEDSNPATH" redefined
In file included from confirm.c:76:
../../include/odbcinst.h:145:1: warning: this is the location of the previous definition
In file included from ../../include/iodbc.h:83,
                 from gui.h:75,
                 from confirm.c:78:
../../include/config.h:143:1: warning: "SYS_ODBCINST_INI" redefined
In file included from confirm.c:76:
../../include/odbcinst.h:114:1: warning: this is the location of the previous definition
In file included from ../../include/iodbc.h:83,
                 from gui.h:75,
                 from confirm.c:78:
../../include/config.h:146:1: warning: "SYS_ODBC_INI" redefined
In file included from confirm.c:76:
../../include/odbcinst.h:129:1: warning: this is the location of the previous definition
confirm.c: In function 'create_confirmw':
confirm.c:263: warning: passing argument 1 of 'dm_SQL_WtoU8' discards qualifiers from pointer target type
../../iodbcinst/unicode.h:94: note: expected 'SQLWCHAR *' but argument is of type 'LPCWSTR'
confirm.c:264: warning: passing argument 1 of 'dm_SQL_WtoU8' discards qualifiers from pointer target type
../../iodbcinst/unicode.h:94: note: expected 'SQLWCHAR *' but argument is of type 'LPCWSTR'
make[2]: *** [confirm.lo] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-db/libiodbc-3.52.6/work/libiodbc-3.52.6/iodbcadm/gtk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-db/libiodbc-3.52.6/work/libiodbc-3.52.6/iodbcadm'
make: *** [all-recursive] Error 1


Reproducible: Always




root@condor:/usr/local/portage/media-gfx/dcraw(216)# emerge --info 
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.4.1, glibc-2.10.1-r0, 2.6.30-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-x86_64-Intel-R-_Core-TM-2_CPU_6600_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 26 Sep 2009 08:30:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p33
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.2-r2, 3.1.1-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.1
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
FFLAGS="-march=nocona -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="de fr"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/zugaina /usr/local/portage/layman/dotnet /usr/local/portage/layman/science /usr/local/portage/layman/lordvan /usr/local/portage/layman/java-overlay /usr/local/portage/layman/perl-experimental /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac acl acpi administrator afs aiglx alsa amd64 amrr ao aotuv apache2 asf aspell atlas auctex audacious audiofile automount bash-completion beagle berkdb bjam blas bluetooth bonobo boo boost branding bzip2 c++ cairo cdda cddb cdf cdio cdparanoia cdr cgi chm cli consolekit corba cracklib cran crypt cups curl cxx daap dbus device-mapper dga dia divx djvu dlloader dmi doc dri ds3490 dts dv dvb dvd dvdr dvi dxr3 dynagraph eds effects elf emacs emboss encode epiphany esd evo examples exif expat extra extras fam fame ffmpeg fftw firefox fits flac fltk foomaticdb fortran fpx fuse galago garmin gd gdal gdbm geos gif gimp gimpprint ginac glade glib glitz gml gmp gnokii gnome gnome-keyring gnuplot gnutls gphoto2 gpm graphics graphviz gs gsl gsm gstreamer gtk guile hal hardened harness hddtemp hdf hdf5 hlapi http httpd hvm iconv icq icu id3 ide imagemagick imap innodb ipod ipv6 irda irmc isdnlog ithreads jabber java java5 java6 jbig john jpeg jpeg2k kde kde4 kerberos kexi keyring kvm ladspa lame lapack latex lcms ldap libffi libgda libnotify libsamplerate lirc lm_sensors lua lzo lzw mad maildir mailwrapper math matroska mikmod mmx mmxext mng mod modules mono motif mozdevelop mozilla mozsvg mozxmlterm mp3 mp4 mp4live mpeg mpeg2 mplayer mtp mudflap multilib musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numarray numeric nvidia obex objc ocaml octave odbc ogdi ogg ole openexr opengl openmp pae pam pcre pda pdf perl pipechan plotutils plugins png podcast policykit posix postgres postscript ppds pppd preview-latex proj projectx pstricks pulseaudio python qhull qt3 qt3support qt4 quicktime readline reflection reiserfs rhythmbox rle rpc rrdcgi rrdtool samba sasl science sdl server session slang slp smp sndfile snmp soup sox speex spell spl sql sqlite sse sse2 ssl startup-notification stlport subtitles subversion suexec svg sysfs szip t1lib tcl tcpd tex theora threads thunar thunderbird tidy tiff tk tntc truetype unicode usb userlocales utempter v4l2 vorbis wav webdav webdav-serf webkit wmf wxwidgets x264 xattr xcb xemacs xext xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="cx8800 cx88xx tda1004x saa713" ELIBC="glibc" INPUT_DEVICES="keyboard mouse                " KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="ide websvccommon nb harness apisupport groovy gsf j2ee java xml" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Rafał Mużyło 2009-09-26 16:11:17 UTC
Attach full build.log an config.log.
You may want to test libiodbc 3.52.7 (not yet in the tree,
but old ebuild seems to work).
Comment 2 Juergen Rose 2009-09-26 17:34:39 UTC
Created attachment 205315 [details]
/var/tmp/portage/dev-db/libiodbc-3.52.6/work/libiodbc-3.52.6/config.log
Comment 3 Juergen Rose 2009-09-26 17:35:39 UTC
Created attachment 205317 [details]
/var/tmp/portage/dev-db/libiodbc-3.52.6/temp/build.log
Comment 4 Howard B. Golden 2009-10-01 12:48:53 UTC
(In reply to comment #1)
> You may want to test libiodbc 3.52.7 (not yet in the tree,
> but old ebuild seems to work).

I experienced the bug with 3.52.6. Following your suggestion, 3.52.7 emerged successfully. Thanks! 

Comment 5 Rafał Mużyło 2009-10-03 03:18:59 UTC
So, let's get this thing moving somewhere.
Comment 6 Juergen Rose 2009-10-03 07:02:59 UTC
Created attachment 205901 [details]
libiodbc-3.52.7.ebuild

I could also emerge libiodbc-3.52.7 with the attached ebuild.
Comment 7 Christian Hoffmann (RETIRED) gentoo-dev 2009-10-05 15:34:44 UTC
Committed, thanks a lot to you guys for reporting and testing.

Does somebody know what caused the bug? If a stable package caused the bug we should consider stabilizing libiodbc-3.52.7 earlier than usual.
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-01 06:29:35 UTC
$ qfile /usr/include/wchar.h
sys-libs/glibc (/usr/include/wchar.h)
Comment 9 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-01 06:41:16 UTC
Looks to be the commit that fixed it for 3.52.7.
Comment 10 Samuli Suominen gentoo-dev 2010-02-09 21:22:18 UTC
ping? how about that stabilization?
Comment 11 Harrison Metzger 2010-02-10 05:02:59 UTC
This package got pulled in for me when I tried to upgrade to kde-4.4. I just followed the suggestion of building 3.52.7.
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-10 05:52:44 UTC
Arch teams, please stabilise:
=dev-db/libiodbc-3.52.7

Like that?
Comment 13 Kobboi 2010-02-11 01:01:17 UTC
(In reply to comment #11)
> This package got pulled in for me when I tried to upgrade to kde-4.4. I just
> followed the suggestion of building 3.52.7.
> 

Same here...
Comment 14 Kobboi 2010-02-11 01:01:58 UTC
(In reply to comment #13)
> (In reply to comment #11)
> > This package got pulled in for me when I tried to upgrade to kde-4.4. I just
> > followed the suggestion of building 3.52.7.
> > 
> 
> Same here...
> 

And of course, don't just stabilize, update the dependency :-)
Comment 15 Robert Cabrera 2010-02-11 01:38:50 UTC
I've got the same issues here dev-db/libiodbc-3.52.6 failed to build. It stopped at exactly the same place as OP. Only difference is I'm running mostly x86 stable arch (KDE is the exception).

dev-db/libiodbc gets pulled in as a dependency for KDE-4.4 so as the last few posters mentioned, dev-db/libiodbc-3.52.7 needs to be stabilized and the dependency updated for KDE-4.4
Comment 16 Christian Faulhammer (RETIRED) gentoo-dev 2010-02-11 13:41:39 UTC
x86 stable
Comment 17 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-11 16:58:34 UTC
Stable for HPPA.
Comment 18 F Garbsch 2010-02-13 10:40:52 UTC
Same here with versions 3.52.6 and 3.52.5. Both do not work on my ~amd64. 3.52.7 worked for me.
Comment 19 Raúl Porcel (RETIRED) gentoo-dev 2010-02-13 19:01:21 UTC
alpha/arm/ia64/s390/sh/sparc stable
Comment 20 Kelly Price 2010-02-21 00:38:36 UTC
The build (keyworded ~amd64) compiles cleanly in my amd64 box.
Comment 21 Ioannis Aslanidis (RETIRED) gentoo-dev 2010-02-22 10:10:02 UTC
I can confirm the same behavior.
Comment 22 Markos Chandras (RETIRED) gentoo-dev 2010-02-24 16:36:12 UTC
Stable on amd64
Comment 23 Brent Baude (RETIRED) gentoo-dev 2010-03-11 17:13:09 UTC
ppc done
Comment 24 Brent Baude (RETIRED) gentoo-dev 2010-03-11 17:53:11 UTC
ppc64 done; closing as last arch